<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxEvent (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxEvent (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxEvent.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util</a></div>
<h2 title="Class mxEvent" class="title">Class mxEvent</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.mxEvent</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxEvent</span>
extends java.lang.Object</pre>
<div class="block">Contains all global constants.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ADD">ADD</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ADD_CELLS">ADD_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ADD_OVERLAY">ADD_OVERLAY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#AFTER_PAINT">AFTER_PAINT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ALIGN_CELLS">ALIGN_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BEFORE_PAINT">BEFORE_PAINT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BEFORE_UNDO">BEFORE_UNDO</a></span></code></th>
<td class="colLast">
<div class="block">Holds the name for the beforeUndo event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BEGIN_UPDATE">BEGIN_UPDATE</a></span></code></th>
<td class="colLast">
<div class="block">Holds the name for the beginUpdate event.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CELL_CONNECTED">CELL_CONNECTED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CELLS_ADDED">CELLS_ADDED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CELLS_FOLDED">CELLS_FOLDED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CELLS_MOVED">CELLS_MOVED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CELLS_ORDERED">CELLS_ORDERED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CELLS_REMOVED">CELLS_REMOVED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CELLS_RESIZED">CELLS_RESIZED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CELLS_TOGGLED">CELLS_TOGGLED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CHANGE">CHANGE</a></span></code></th>
<td class="colLast">
<div class="block">Holds the name for the change event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CLEAR">CLEAR</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CONNECT">CONNECT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CONNECT_CELL">CONNECT_CELL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CONTINUE">CONTINUE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#DONE">DONE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#DOWN">DOWN</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#END_UPDATE">END_UPDATE</a></span></code></th>
<td class="colLast">
<div class="block">Holds the name for the endUpdate event.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#EXECUTE">EXECUTE</a></span></code></th>
<td class="colLast">
<div class="block">Holds the name for the execute event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#FIRED">FIRED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#FLIP_EDGE">FLIP_EDGE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#FOLD_CELLS">FOLD_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#GROUP_CELLS">GROUP_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INSERT">INSERT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LABEL_CHANGED">LABEL_CHANGED</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LAYOUT_CELLS">LAYOUT_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MARK">MARK</a></span></code></th>
<td class="colLast">
<div class="block">Holds the name for the mark event, which fires after a cell has been
 marked.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MOVE_CELLS">MOVE_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#NOTIFY">NOTIFY</a></span></code></th>
<td class="colLast">
<div class="block">Holds the name for the norify event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ORDER_CELLS">ORDER_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#PAINT">PAINT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#REDO">REDO</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#REMOVE_CELLS">REMOVE_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#REMOVE_CELLS_FROM_PARENT">REMOVE_CELLS_FROM_PARENT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#REMOVE_OVERLAY">REMOVE_OVERLAY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#REPAINT">REPAINT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#RESIZE_CELLS">RESIZE_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ROOT">ROOT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SCALE">SCALE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SCALE_AND_TRANSLATE">SCALE_AND_TRANSLATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SELECT">SELECT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#SPLIT_EDGE">SPLIT_EDGE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#START">START</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#START_EDITING">START_EDITING</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#STOP">STOP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TOGGLE_CELLS">TOGGLE_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TRANSLATE">TRANSLATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#UNDO">UNDO</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#UNGROUP_CELLS">UNGROUP_CELLS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#UP">UP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#UPDATE_CELL_SIZE">UPDATE_CELL_SIZE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxEvent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="DONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DONE</h4>
<pre>public static final&nbsp;java.lang.String DONE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.DONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ADD_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADD_CELLS</h4>
<pre>public static final&nbsp;java.lang.String ADD_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.ADD_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CELLS_ADDED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CELLS_ADDED</h4>
<pre>public static final&nbsp;java.lang.String CELLS_ADDED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CELLS_ADDED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ALIGN_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ALIGN_CELLS</h4>
<pre>public static final&nbsp;java.lang.String ALIGN_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.ALIGN_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CONNECT_CELL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONNECT_CELL</h4>
<pre>public static final&nbsp;java.lang.String CONNECT_CELL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CONNECT_CELL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CONNECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONNECT</h4>
<pre>public static final&nbsp;java.lang.String CONNECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CONNECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CELL_CONNECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CELL_CONNECTED</h4>
<pre>public static final&nbsp;java.lang.String CELL_CONNECTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CELL_CONNECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="FLIP_EDGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLIP_EDGE</h4>
<pre>public static final&nbsp;java.lang.String FLIP_EDGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.FLIP_EDGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="FOLD_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FOLD_CELLS</h4>
<pre>public static final&nbsp;java.lang.String FOLD_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.FOLD_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CELLS_FOLDED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CELLS_FOLDED</h4>
<pre>public static final&nbsp;java.lang.String CELLS_FOLDED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CELLS_FOLDED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="GROUP_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GROUP_CELLS</h4>
<pre>public static final&nbsp;java.lang.String GROUP_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.GROUP_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="UNGROUP_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNGROUP_CELLS</h4>
<pre>public static final&nbsp;java.lang.String UNGROUP_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.UNGROUP_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="REMOVE_CELLS_FROM_PARENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REMOVE_CELLS_FROM_PARENT</h4>
<pre>public static final&nbsp;java.lang.String REMOVE_CELLS_FROM_PARENT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.REMOVE_CELLS_FROM_PARENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MOVE_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MOVE_CELLS</h4>
<pre>public static final&nbsp;java.lang.String MOVE_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.MOVE_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CELLS_MOVED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CELLS_MOVED</h4>
<pre>public static final&nbsp;java.lang.String CELLS_MOVED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CELLS_MOVED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ORDER_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ORDER_CELLS</h4>
<pre>public static final&nbsp;java.lang.String ORDER_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.ORDER_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CELLS_ORDERED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CELLS_ORDERED</h4>
<pre>public static final&nbsp;java.lang.String CELLS_ORDERED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CELLS_ORDERED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="REMOVE_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REMOVE_CELLS</h4>
<pre>public static final&nbsp;java.lang.String REMOVE_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.REMOVE_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CELLS_REMOVED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CELLS_REMOVED</h4>
<pre>public static final&nbsp;java.lang.String CELLS_REMOVED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CELLS_REMOVED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="REPAINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAINT</h4>
<pre>public static final&nbsp;java.lang.String REPAINT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.REPAINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="RESIZE_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESIZE_CELLS</h4>
<pre>public static final&nbsp;java.lang.String RESIZE_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.RESIZE_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CELLS_RESIZED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CELLS_RESIZED</h4>
<pre>public static final&nbsp;java.lang.String CELLS_RESIZED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CELLS_RESIZED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SPLIT_EDGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPLIT_EDGE</h4>
<pre>public static final&nbsp;java.lang.String SPLIT_EDGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.SPLIT_EDGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TOGGLE_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOGGLE_CELLS</h4>
<pre>public static final&nbsp;java.lang.String TOGGLE_CELLS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.TOGGLE_CELLS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CELLS_TOGGLED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CELLS_TOGGLED</h4>
<pre>public static final&nbsp;java.lang.String CELLS_TOGGLED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CELLS_TOGGLED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="UPDATE_CELL_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UPDATE_CELL_SIZE</h4>
<pre>public static final&nbsp;java.lang.String UPDATE_CELL_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.UPDATE_CELL_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="LABEL_CHANGED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LABEL_CHANGED</h4>
<pre>public static final&nbsp;java.lang.String LABEL_CHANGED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.LABEL_CHANGED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ADD_OVERLAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADD_OVERLAY</h4>
<pre>public static final&nbsp;java.lang.String ADD_OVERLAY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.ADD_OVERLAY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="REMOVE_OVERLAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REMOVE_OVERLAY</h4>
<pre>public static final&nbsp;java.lang.String REMOVE_OVERLAY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.REMOVE_OVERLAY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="BEFORE_PAINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BEFORE_PAINT</h4>
<pre>public static final&nbsp;java.lang.String BEFORE_PAINT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.BEFORE_PAINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="PAINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAINT</h4>
<pre>public static final&nbsp;java.lang.String PAINT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.PAINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="AFTER_PAINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AFTER_PAINT</h4>
<pre>public static final&nbsp;java.lang.String AFTER_PAINT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.AFTER_PAINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="START_EDITING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>START_EDITING</h4>
<pre>public static final&nbsp;java.lang.String START_EDITING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.START_EDITING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="UNDO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNDO</h4>
<pre>public static final&nbsp;java.lang.String UNDO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.UNDO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="REDO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REDO</h4>
<pre>public static final&nbsp;java.lang.String REDO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.REDO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="UP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UP</h4>
<pre>public static final&nbsp;java.lang.String UP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.UP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="DOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOWN</h4>
<pre>public static final&nbsp;java.lang.String DOWN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.DOWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SCALE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SCALE</h4>
<pre>public static final&nbsp;java.lang.String SCALE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.SCALE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TRANSLATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSLATE</h4>
<pre>public static final&nbsp;java.lang.String TRANSLATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.TRANSLATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SCALE_AND_TRANSLATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SCALE_AND_TRANSLATE</h4>
<pre>public static final&nbsp;java.lang.String SCALE_AND_TRANSLATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.SCALE_AND_TRANSLATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CHANGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHANGE</h4>
<pre>public static final&nbsp;java.lang.String CHANGE</pre>
<div class="block">Holds the name for the change event. First and only argument in the
 argument array is the list of mxAtomicGraphChanges that have been
 executed on the model.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CHANGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="EXECUTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXECUTE</h4>
<pre>public static final&nbsp;java.lang.String EXECUTE</pre>
<div class="block">Holds the name for the execute event. First and only argument in the
 argument array is the mxAtomicGraphChange that has been executed on the 
 model. This event fires before the change event.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.EXECUTE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="BEFORE_UNDO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BEFORE_UNDO</h4>
<pre>public static final&nbsp;java.lang.String BEFORE_UNDO</pre>
<div class="block">Holds the name for the beforeUndo event. First and only argument in the
 argument array is the current edit that is currently in progress in the 
 model. This event fires before notify is called on the currentEdit in
 the model.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.BEFORE_UNDO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="NOTIFY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOTIFY</h4>
<pre>public static final&nbsp;java.lang.String NOTIFY</pre>
<div class="block">Holds the name for the norify event. First and only argument in the
 argument array is the list of mxAtomicGraphChanges that have been
 executed on the model. This event fires after the change event.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.NOTIFY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="BEGIN_UPDATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BEGIN_UPDATE</h4>
<pre>public static final&nbsp;java.lang.String BEGIN_UPDATE</pre>
<div class="block">Holds the name for the beginUpdate event. This event has no arguments and
 fires after the updateLevel has been changed in model.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.BEGIN_UPDATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="END_UPDATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>END_UPDATE</h4>
<pre>public static final&nbsp;java.lang.String END_UPDATE</pre>
<div class="block">Holds the name for the endUpdate event. This event has no arguments and fires
 after the updateLevel has been changed in the model. First argument is the
 currentEdit.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.END_UPDATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="INSERT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INSERT</h4>
<pre>public static final&nbsp;java.lang.String INSERT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.INSERT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ADD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADD</h4>
<pre>public static final&nbsp;java.lang.String ADD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.ADD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="CLEAR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLEAR</h4>
<pre>public static final&nbsp;java.lang.String CLEAR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.CLEAR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="FIRED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FIRED</h4>
<pre>public static final&nbsp;java.lang.String FIRED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.FIRED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="SELECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SELECT</h4>
<pre>public static final&nbsp;java.lang.String SELECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hk.quantr.mxgraph.util.mxEvent.SELECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MARK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MARK</h4>
<pre>public static&nbsp;java.lang.String MARK</pre>
<div class="block">Holds the name for the mark event, which fires after a cell has been
 marked. First and only argument in the array is the cell state that has
 been marked or null, if no state has been marked.
 
 To add a mark listener to the cell marker:
 
 <code>
 addListener(
   mxEvent.MARK, new mxEventListener()
   {
     public void invoke(Object source, Object[] args)
     {
       cellMarked((mxCellMarker) source, (mxCellState) args[0]);
     }
   });
 </code></div>
</li>
</ul>
<a id="ROOT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROOT</h4>
<pre>public static&nbsp;java.lang.String ROOT</pre>
</li>
</ul>
<a id="LAYOUT_CELLS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LAYOUT_CELLS</h4>
<pre>public static&nbsp;java.lang.String LAYOUT_CELLS</pre>
</li>
</ul>
<a id="START">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>START</h4>
<pre>public static&nbsp;java.lang.String START</pre>
</li>
</ul>
<a id="CONTINUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTINUE</h4>
<pre>public static&nbsp;java.lang.String CONTINUE</pre>
</li>
</ul>
<a id="STOP">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STOP</h4>
<pre>public static&nbsp;java.lang.String STOP</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxEvent</h4>
<pre>public&nbsp;mxEvent()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxEvent.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
